:root{    
    --primary: rgba(61, 181, 75, 1);
   --secundary: rgba(0, 165, 79, 1);
}

* {
   margin: 0;
   padding: 0;
   font-family: 'Libre Franklin', sans-serif;
}

a {
   text-decoration: none;
}

html , body {
   height: 100%;
   width: 100%;
}

.container-page {
   height: 100%;
   width: 100%;
   display: flex;
   flex-direction: column;
}

/* -------------------------- header-page (start) --------------------- */

.header-page {
    background-color: var(--primary);
    height: 12%;
    width: 100%;
}

nav {
    width: 100%;
    height: 100%;
    padding: 0;
    margin: 0;
    display: flex;
    justify-content: center;
}

nav .navtop {
    display: flex;
    justify-content: center;
    align-items: center;
}

.navtop .navTopLeft {
    display: flex;
    color: white;
    border-left: 1px dotted white ;
}

nav .navdotted {
    height: 100%;
    border-left: white 2px solid;
}

.navTopLeft .navtext .navtext-title {
    font-size: 3vw;
}

.navtext .navtext-money {
    font-size: 5vw;
    font-weight: 900;
}

/* -------------------------- header-page (end) ----------------------- */

/* --------------------------- main-page (start) ---------------------- */

.main-page{
   width: 100%;
   flex-grow: 1;
   display: flex;
   justify-content: center;
}

.container-main {
   width: 90%;
   color:  var(--primary);
   display: flex;
   justify-content: center;
   width: 90%;
}

.main-page {
    height: 100%;
}

.scan-page {
    height: 70%;
}

.main-top-img {
    width: 15vw;
}

.main-top-text {
    color: var(--primary);
    text-align: center;
    justify-content: center;
    font-size: 4vw;
}

.main-scan-area {
    width: 60%;
    height: 75%;
    background-image: url(../assets/QR CODE.png);
    background-repeat: no-repeat;
    background-size: 54vw;
    background-position: center;
}

.scan-camera {
    width: 90%;
}

.button {
    background-color: var(--secundary);
    display: flex;
    z-index: 3;
}

.button button {
    width: 100%;
    height: 50px;
    background-color: rgba(0, 165, 80, 0);
    border: none;
    color: white;
    transition: all 0.2s ease-in-out;
}

.button button:focus {
    background-color: var(--primary);
}

/* --------------------------- main-page (end) ------------------------ */

/* -------------------------- footer-page (start) --------------------- */
.footer {
    border-top: 2px dotted var(--primary) ;
    height: 12%;
    font-size: 10px;
}

footer a{
    text-decoration: none;
    font-size: 15px;
    transition: all 0.2s ease-in-out;
}

footer {
    display: flex;
    justify-content: center;
}

footer a img {
    width: 25px;
    height: 25px;
}

footer a p {
    color: var(--primary);
}

.footer footer a{
    transition: all 0.2s ease-in-out;
}

.footer footer a:focus {
    transform: translateX(-15px);
}

/* -------------------------- footer-page (end) ----------------------- */